/**
 * This class contains functions called by class SuzWriter.
 * Second Order Suzuki Approximant =
 * exp(At/2)exp(Bt)exp(At/2)
 */
public abstract  class SuzFunctions {
/**
 * writes  exp(At)
 */
	public abstract void writeExpAtimes(double t);


/**
 * writes exp(Bt)
 */
	public abstract void writeExpBtimes(double t);

}
